[PATCH] osmo-gsm-tester[master]: jenkins-common: ensure requested binaries indeed have been b...

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Thu Sep 7 15:45:48 UTC 2017


Review at  https://gerrit.osmocom.org/3886

jenkins-common: ensure requested binaries indeed have been built

Recent change Ib1a00b2149453fedf9ece0460dd4d6e83f774d45 drops binaries from a
build artifact by leaving only explicitly requested ones. This adds a check
that the requested ones indeed exist.

Change-Id: Iceddeee6aebb1cdb54d7304495c3e332390261db
---
M contrib/jenkins-build-common.sh
1 file changed, 9 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-gsm-tester refs/changes/86/3886/1

diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 3d9932d..e15c616 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -156,6 +156,15 @@
     fi
   done
 
+  # ensure requested binaries indeed exist
+  for b in $wanted_binaries ; do
+    if [ ! -f "$b" ]; then
+      set +x; echo "ERROR: no such binary: $b in $prefix_real/bin/"; set -x
+      ls -1 "$prefix_real/bin"
+      exit 1
+    fi
+  done
+
   cd "$prefix_real"
   this="$name.build-${BUILD_NUMBER-$(date +%Y-%m-%d_%H_%M_%S)}"
   tar="${this}.tgz"

-- 
To view, visit https://gerrit.osmocom.org/3886
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Iceddeee6aebb1cdb54d7304495c3e332390261db
Gerrit-PatchSet: 1
Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list